Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editparts
Class ClassGraphEditPart

    java.lang.Object
      |
      +--org.eclipse.gef.editparts.AbstractEditPart
            |
            +--org.eclipse.gef.editparts.AbstractGraphicalEditPart
                  |
                  +--APStudio.editparts.AbstractAPEditPart
                        |
                        +--APStudio.editparts.ClassGraphEditPart

All Implemented Interfaces:
  org.eclipse.gef.EditPart, java.util.EventListener, org.eclipse.gef.GraphicalEditPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.LayerConstants, org.eclipse.gef.NodeEditPart, java.beans.PropertyChangeListener, org.eclipse.gef.RequestConstants

public class ClassGraphEditPart
extends AbstractAPEditPart
implements org.eclipse.gef.LayerConstants

Author:
  srajagop To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ClassGraphEditPart()`

Method Summary
`org.eclipse.gef.DragTracker` | `getDragTracker(org.eclipse.gef.Request req)`
`org.eclipse.draw2d.ConnectionAnchor` | `getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)` Returns the connection anchor for the given ConnectionEditPart's source.
`org.eclipse.draw2d.ConnectionAnchor` | `getSourceConnectionAnchor(org.eclipse.gef.Request request)` Returns the connection anchor of a source connection which is at the given point.
`org.eclipse.draw2d.ConnectionAnchor` | `getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)` Returns the connection anchor for the given ConnectionEditPart's target.
`org.eclipse.draw2d.ConnectionAnchor` | `getTargetConnectionAnchor(org.eclipse.gef.Request request)` Returns the connection anchor of a terget connection which is at the given point.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Handles changes in properties of this.

Methods inherited from class APStudio.editparts.AbstractAPEditPart
`activate, deactivate`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, getAdapter, getContentPane, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ClassGraphEditPart

    public ClassGraphEditPart()

Method Detail

### getDragTracker

    public org.eclipse.gef.DragTracker getDragTracker(org.eclipse.gef.Request req)

  Specified by:
    `getDragTracker` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `getDragTracker` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

  Description copied from class: `AbstractAPEditPart`
  Returns the connection anchor for the given ConnectionEditPart's source.

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`
  Overrides:
    `getSourceConnectionAnchor` in class `AbstractAPEditPart`
  Returns:
    ConnectionAnchor.

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

  Description copied from class: `AbstractAPEditPart`
  Returns the connection anchor for the given ConnectionEditPart's target.

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`
  Overrides:
    `getTargetConnectionAnchor` in class `AbstractAPEditPart`
  Returns:
    ConnectionAnchor.

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

  Description copied from class: `AbstractAPEditPart`
  Returns the connection anchor of a source connection which is at the given point.

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`
  Overrides:
    `getSourceConnectionAnchor` in class `AbstractAPEditPart`
  Returns:
    ConnectionAnchor.

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

  Description copied from class: `AbstractAPEditPart`
  Returns the connection anchor of a terget connection which is at the given point.

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`
  Overrides:
    `getTargetConnectionAnchor` in class `AbstractAPEditPart`
  Returns:
    ConnectionAnchor.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Description copied from class: `AbstractAPEditPart`
  Handles changes in properties of this. It is activated through the PropertyChangeListener. It updates children, source and target connections, and the visuals of this based on the property changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `AbstractAPEditPart`
  Parameters:
    `evt` - Event which details the property change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD